/*
 * Copyright 2016 - 2024 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

namespace studio {

class UndoCommand {
	public:
		virtual ~UndoCommand() noexcept = default;
		virtual void redo() noexcept = 0;
		virtual void undo() noexcept = 0;
		[[nodiscard]]
		virtual int commandId() const noexcept = 0;
		virtual bool mergeWith(UndoCommand const*cmd) noexcept;
};

}
